########################################################################
#
# File Name:            CompiledRilExpression.py
#
# Documentation:        http://docs.4suite.org/4Rdf/CompiledRilExpression.py.html
#
"""

WWW: http://4suite.org/4RDF         e-mail: support@4suite.org

Copyright (c) 2000-2001 Fourthought Inc, USA.   All Rights Reserved.
See  http://4suite.org/COPYRIGHT  for license and copyright information
"""

import RilParserImp

class CompiledRilExpression:

    def __init__(self,exp):

        self.expression = exp
        p = RilParserImp.RilParserImp()
        self.__defs = p.parse(exp)

    def execute(self,infeng,externalParams=None):
        if externalParams == None:
            externalParams = {}

        return infeng.execute(self.__defs,extParams=externalParams)

